[packagers] Plone Install Fails on Centos 5

John Thomas gmane-2006-04-16 at jt-socal.com
Sun May 13 00:57:21 CEST 2007


Plone install fails on a nearly clean CentOS 5 system.  There are 
conflicts with Zope.  I tried installing zope and plone separately, but 
the error was the same as below.  Any suggestions on how to debug/fix this?

[root at http-test yum.repos.d]# yum install plone
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from Extra Packages for Enterprise Linux 5 - i386
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for plone to pack into transaction set.
plone-2.0.4-0.1.el5.rf.no 100% |=========================| 539 kB    00:02
---> Package plone.noarch 0:2.0.4-0.1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: zope >= 2.6.4 for package: plone
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for zope to pack into transaction set.
zope-2.8.7-1.el5.rf.i386. 100% |=========================| 1.3 MB    00:02
---> Package zope.i386 0:2.8.7-1.el5.rf set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
  Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
  plone                   noarch     2.0.4-0.1.el5.rf  rpmforge 
  5.3 M
Installing for dependencies:
  zope                    i386       2.8.7-1.el5.rf   rpmforge 
  12 M

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 17 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): plone-2.0.4-0.1.el 100% |=========================| 5.3 MB    00:58
(2/2): zope-2.8.7-1.el5.r 100% |=========================|  12 MB    00:34
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/BTreeFolder2.pyc 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/BTreeFolder2.pyo 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/CHANGES.txt 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/__init__.py 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/__init__.pyc 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/__init__.pyo 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file 
/usr/lib/zope/lib/python/Products/BTreeFolder2/tests/__init__.pyc 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file 
/usr/lib/zope/lib/python/Products/BTreeFolder2/tests/__init__.pyo 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file 
/usr/lib/zope/lib/python/Products/BTreeFolder2/tests/testBTreeFolder2.py 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file 
/usr/lib/zope/lib/python/Products/BTreeFolder2/tests/testBTreeFolder2.pyc 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file 
/usr/lib/zope/lib/python/Products/BTreeFolder2/tests/testBTreeFolder2.pyo 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf
   file /usr/lib/zope/lib/python/Products/BTreeFolder2/version.txt 
conflicts between attempted installs of zope-2.8.7-1.el5.rf and 
plone-2.0.4-0.1.el5.rf

Error Summary
-------------

[root at http-test yum.repos.d]# uname --all
Linux http-test.REDACTED 2.6.18-8.1.3.el5 #1 SMP Mon Apr 30 19:55:44 EDT 
2007 i686 athlon i386 GNU/Linux

-- 
Sincerely,
John Thomas



More information about the packagers mailing list